Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.layer
Interface Attribution

    @XmlElement(value="Attribution")
    public interface Attribution

Provides a way to identify the source of geographic information used in a `Layer` or collection of `Layer`s.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.3

Method Summary
`LogoURL` | `getLogoURL()` Provides linkage to a logo image.
`OnLineResource` | `getOnlineResource()` Provides the data provider's linkage.
`InternationalString` | `getTitle()` Provides the human-readable string naming the data provider.

Method Detail

### getTitle

    @XmlElement(value="Title")
    InternationalString getTitle()

  Provides the human-readable string naming the data provider.

  Returns:
    the human-readable name of the data provider.

### getOnlineResource

    @XmlElement(value="OnlineResource")
    OnLineResource getOnlineResource()

  Provides the data provider's linkage.

  Returns:
    the linkage to the data provider.

### getLogoURL

    @XmlElement(value="LogoURL")
    LogoURL getLogoURL()

  Provides linkage to a logo image.

  Returns:
    linkage to the logo image.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.